### Method

# Gtk.IconTheme.has_icon

#### Declaration [src]

    gboolean
    gtk_icon_theme_has_icon (
      GtkIconTheme* self,
      const char* icon_name
    )

#### Description [src]

Checks whether an icon theme includes an icon for a particular name.

#### Parameters

`icon_name` | `const char*`
| the name of an icon
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `gboolean`
`TRUE` if `self` includes an icon for `icon_name`.